Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002836Piwigouser commentspublic2013.02.04 15:492013.04.04 19:39
Reporterplg 
Assigned Torvelices 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4.6 
Target Version2.6.0beta1Fixed in Version2.6.0beta1 
Summary0002836: display the number of comments/tags in the menubar
DescriptionInstead of just a link "Comments"/"Tags" it would be better to have "Comments (158)".

Of course, the number of comments/tags is user specific, and we want to save SQL queries, so it means a cache somewhere.
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0006859)
rvelices (developer)
2013.02.24 13:29

I'll take that ... with the cache ...
(0006861)
plg (manager)
2013.02.24 13:54

I don't know what's the best solution for the cache. Maybe in the session (but hard to reset for all active sessions). Maybe a new column in column in user_cache
(0006863)
rvelices (developer)
2013.02.25 13:32

I'll go for user_cache. When comments are added/deleted, we will put this column to null and it will be recomputed.

While I'm at it, I will do the same thing for the number of tags ...
(0006864)
plg (manager)
2013.02.25 13:34

fine, but keep it for 2.6 :-) The branch 2.5 will be created in the next days.
(0006903)
svn (reporter)
2013.03.23 11:02

[Subversion] r21801 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
db changes for feature 2836 display # of comments/tags in menubar and feature 2557 recent photos should never be empty
(0006910)
svn (reporter)
2013.03.24 07:46

[Subversion] r21817 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2836: display the number of comments/tags in the menubar

- Issue History
Date Modified Username Field Change
2013.02.04 15:49 plg New Issue
2013.02.04 15:49 plg Status new => assigned
2013.02.04 15:49 plg Assigned To => plg
2013.02.04 15:49 plg browser => any
2013.02.04 15:49 plg Web server => Apache 1.3.x
2013.02.24 13:28 rvelices Assigned To plg => rvelices
2013.02.24 13:29 rvelices Note Added: 0006859
2013.02.24 13:54 plg Note Added: 0006861
2013.02.25 13:32 rvelices Note Added: 0006863
2013.02.25 13:32 rvelices Summary display the number of comments in the menubar => display the number of comments/tags in the menubar
2013.02.25 13:32 rvelices Description Updated
2013.02.25 13:34 plg Note Added: 0006864
2013.03.23 11:02 svn Checkin
2013.03.23 11:02 svn Note Added: 0006903
2013.03.24 07:46 svn Checkin
2013.03.24 07:46 svn Note Added: 0006910
2013.04.04 19:39 rvelices Status assigned => closed
2013.04.04 19:39 rvelices Resolution open => fixed
2013.04.04 19:39 rvelices Fixed in Version => 2.6.0beta1


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker